#include<bits/stdc++.h>
using namespace std;
int main()
{
	ifstream f1("DE003.INP");
	long int a;long long t=0;
	f1>>a;
	for(int n=1;n<=a;n++)
	{
		t=t+n*(n+1)*(n+2);
	}
	f1.close();
	ofstream f2("DE003.OUT");
	f2<<t;
	f2.close();
	return 0;
}

